#!/usr/bin/env python3
#
#

import os
import sys

if sys.version_info.major < 3: print("you need to run meds with python3") ; os._exit(1)

try: use_setuptools()
except: pass

try:
    from setuptools import setup
except Exception as ex: print(str(ex)) ; os._exit(1)

setup(
    name='meds',
    version='1214',
    url='https://pikacode.com/bart/meds',
    author='Bart Thate',
    author_email='bthate@dds.nl',
    description='Opzettelijke benadeling van de gezondheid',
    license='MIT',
    include_package_data=False,
    zip_safe=False,
    install_requires=["feedparser==5.2.1","beautifulsoup4", "sleekxmpp", "setuptools", "pyasn1", "pyasn1-modules"],
    scripts=["bin/meds", "bin/meds-ps", "bin/meds-sed", "bin/meds-docs", "bin/meds-cleandocs", "bin/meds-do", "bin/meds-local", "bin/meds-test", "bin/meds-doctest"],
    packages=['meds',
              'meds.bots',
              'meds.cbs',
              'meds.plugs',
              'meds.run',
              'meds.utils'
             ],
    long_description="""

“After 17 to 27 months of treatment, both haloperidol- and olanzapine-treated monkeys had an equivalent and highly significant 8% to 11% decrease in fresh brain weight and volume when compared with the sham group.”

http://www.ncbi.nlm.nih.gov/pmc/articles/PMC3476840/

In 2012 heb ik het Europeese Hof voor de Rechten van de Mens aangeschreven om een klacht tegen Nederland in te dienen. De klacht betrof het afwezig zijn van verpleging in het nieuwe ambulante behandeltijdperk van de GGZ. Uitspraak was niet-ontvankelijk. 

Het is niet mogelijk voor de koning om tussenkomst te verlenen als het de amublantisering van de GGZ in Nederland betreft. Ik heb ook een brief van de minister kunnen krijgen na aandringen van de koningin waarin zij ontkent dat de ambulante zorg problematisch is.
De IGZ heeft wel erkent verantwoordelijk te zijn voor ambulante zorg, zowel voor vrijwillig als onder de BOPZ behandelde patienten.

Er is geen sprake van behandeling maar van mishandeling waarbij de arts opzettelijk de gezondheid benadeeld:

1) Antagonisten blokkeren de receptoren (benadeling van de gezondheid).
2) Artsen dienen antagonisten toe om de receptoren te blokkeren. (opzet).
3) De arts gebruikt deze benadeling voor een verminderde werking van dopamine (motief).
4) De mishandeling kan zo erg zijn dat men het leven verliest (levensbedreigend).
5) Door lichamelijke schade wat in levensgevaar resulteert (vergiftiging).
6) Door het maken van een suicide wens bij de patient (de dood tot gevolg).

Als men naast de mishandeling ook nog eens de noodzakelijke verpleging achterwege laat, dan genereert men levensgevaar voor de patient.

1) als een arts ontkent dat hij aan het mishandelen is (medicijn brengt geen schade, meer is beter).
2) als een arts de bloedspiegel van een medicijn niet meet (arts geeft meer gif i.p.v minder)
3) als de noodzakelijke verpleging niet aanwezig is (geen crisis beoordeling)

(F)ACT, de methode die gebruikt word voor zorg aan mensen met Ernstige Psychiatrische Stoornissen,  bied niet de noodzakelijke verpleging:

1) verpleging naar gelang de situatie - meer zorg naarmate de situatie erger is, is niet preventief (stepped care).
2) niet 7 x 24 uurs verpleging - in het weekend en avonduren niet aanwezig (meeste suicides in het weekend).
3) psychiater is niet op de hoogte van de situatie van de patient (meet het bloed niet).
4) behandelovereenkomsten zijn niet volledig (verplichtingen niet vastgelegd).
5) zonder bedden geen snelle terugbrenging naar ziekenhuis mogelijk (maakt ambulant onverantwoord).

Een patient kan te maken krijgen met positieve en negatieve symptomen, symptomen van vergiftiging, onthoudingsverschijnselen en ernstige
bijwerkingen.

Je kan het log command gebruiken om een symptoom of verschijnsel te registreren:

* log <txt>
* log <txt> +5
* log <txt> -2

Het find command om log terug te zoeken:

* find log
* find log=slaap
* find From=om.nl From Subject Date start=2013-01-01 end=2013-02-01

Voor de log van vandaag gebruik het today command:

* today log

Ook voor de afgelopen week kan je de logs opvragen:

* week log
* week log=wiet


MEDS is opensource en de :ref:`code <source>` waarmee de bot geschreven is is voor iedereen vrij te bewerken etc.
MEDS is released onder een MIT compatible license.

| Bart Thate 
| IRC: botfather on #dunkbots irc.freenode.net
| email: bthate@dds.nl, thatebart@gmail.com
|

""",
    classifiers=[
        'Development Status :: 3 - Alpha',
        'License :: OSI Approved :: MIT License',
        'Operating System :: Unix',
        'Programming Language :: Python',
        'Topic :: Utilities'],
)
